## efl 1.20.7

=== debian/changelog ===
efl (1.20.7-7) unstable; urgency=medium

  * Correct Breaks/Replaces of libefl-all-dev on transition packages. Use
    "<< 1.20.5-1" instead of "<< ${binary:Version})". Closes: #907741
    (Thanks, Adrian Bunk)
  * Also drop related (now unused) lintian overrides.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Sep 2018 12:07:40 +0200

efl (1.20.7-6) unstable; urgency=low

  [ Andreas Metzler ]
  * Remove Nicolas Braud-Santoni from uploaders list. (Thank you!)
    Closes: #901037

  [ Ross Vandegrift ]
  * d/patches/20_disable_doxygen_timestamps.diff: disable timestamps to
    improve reproducibility of efl-doc.
  * d/control: add libevas1-engines-drm to libeina1a Breaks to ensure it
    is upgraded in lock-step with other EFL components.
  * Try to avoid circular dependency by demoting libevas1 Depends on
    libevas1-engines-x to Recommends. (Closes: #901624)
  * Add the other engines to libevas1 Recommends to improve upon the
    solution for #900594.

 -- Ross Vandegrift <ross@kallisti.us>  Thu, 21 Jun 2018 19:41:48 -0700

efl (1.20.7-5) unstable; urgency=low

  * Change libevas1' dependency on libevas1-engine (a virtual package) to
    libevas1-engines-x | libevas1-engine, preventing apt from choosing
    wayland packages by default. Closes: #900594
  * Move license texts to the end of debian/copyright.
    global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Do not ship jquery.js, it is not used.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Jun 2018 19:08:34 +0200

efl (1.20.7-4) unstable; urgency=medium

  * Undo workaround in previous upload, libinput-dev did the same thing, which
    is the right place to do it.
  * As on arm64 (try to) build with lua-old on s390x.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 27 Mar 2018 18:49:59 +0200

efl (1.20.7-3) unstable; urgency=medium

  * As a temporary work around for #892956 add build-depends (and
    libefl-all-dev depends) on libwacom-dev, libmtdev-dev, libevdev-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Mar 2018 13:57:44 +0100

efl (1.20.7-2) unstable; urgency=medium

  * Upload to unstable
  * d/gbp.conf: update config to point to debian/sid branch.

 -- Ross Vandegrift <ross@kallisti.us>  Tue, 13 Mar 2018 14:23:45 -0700

efl (1.20.7-1) experimental; urgency=medium

  * New upstream version
  * Update Vcs URLs for alioth -> salsa transition
  * d/changelog: integrate details from 1.8.6-2.[2-5] NMUs
  * Update symbols for changes in 1.20.7 release
  * Bump all eo symbol versions for 1.20.7 release
  * d/control: Bump Standards-Version to 4.1.3, no changes required
  * d/rules: add --disable-neon on armhf.  When enabled, EFL turns on gcc
    NEON optimizations.  This triggers illegal instruction errors on
    cpus without NEON support.
    - Details at: https://phab.enlightenment.org/T6711

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 03 Mar 2018 15:32:31 -0800

efl (1.20.6-3) experimental; urgency=medium

  * Even without elua some kind of lua is required for building efl. Run
    ./configure with --enable-lua-old on arm64 and (build)-depend on
    liblua5.2-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Dec 2017 11:16:19 +0100

efl (1.20.6-2) experimental; urgency=medium

  * Disable ELUA support on arm64 to work around build-error. ("bad light
    userdata pointer").

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Dec 2017 19:09:13 +0100

efl (1.20.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

  [ Ross Vandegrift ]
  * d/rules:
    + switch to dh_missing
    + disable docs if nodoc is set in DEB_BUILD_OPTIONS
  * d/patches:
    + 05-fix-signedness-mismatch.diff: fix a conflicting sign in evas
      (Closes: #748026).
    + 55_evas-gl-generic-common-add-more-linking-for-gles-mod.patch: drop,
      applied upstream
  * d/copyright: use https Format link
  * d/control:
    + Bump Standards-Version to 4.1.1
    + Set Rules-Requires-Root to disable building as root
  * d/rules: remove use of DEB_BUILD_OPTIONS.  nocheck isn't explicitly needed
    anyhow, since configure is used to disable tests.
  * Ship efl-wl artifacts that should've been added with wayland support
  * Provide eo debugging tools.  libeo_dbg is a special build of libeo
    that includes additional debugging functionality.  It is designed to
    be LD_PRELOADed ahead of libeo.  eo_debug is a helper script to do
    that.  libeo_dbg can have significant performance overhead, so should
    not be used by default.
  * Eliminate use of debian/tmp from d/install, d/examples files
  * d/efl-doc.examples: fix source dir for example installation
  * Bump all eo symbol versions for 1.20.6 release

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 02 Dec 2017 15:32:22 -0800

efl (1.20.5-2) experimental; urgency=low

  * 55_evas-gl-generic-common-add-more-linking-for-gles-mod.patch from
    upstream GIT master, fixing build erro with --with-opengl=es (armel and
    armhf packages).
  * Tag evas_common_scale_rgba_in_to_out_clip_smooth_mmx symbol as arch
    specific for any-amd64 and any-i386, fixing a build error on other archs.
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Nov 2017 14:11:31 +0100

efl (1.20.5-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

  [ Ross Vandegrift ]
  * libefl-all-dev needs to depend on libelementary-dev, libelput-dev.
  * d/libelocation1.symbols: correct versions to reflect eo release.
  * d/control: remove uses of deprecated Priority: extra.
  * Merge libe*-dev into libefl-all-dev, add transitional packages.  With
    split -dev packages, adding dependencies to match pkg-config
    requirements results in circular dependencies.  Also, upstream does
    not support or test building against part of EFL.  Combining these
    into a single dev package avoids both problems. (Closes: #878584)
    Since libector-dev is one of the dropped packages this Closes: #877180.
  * d/p/95-parallel-previews.diff: defuzz.

