=== debian/control ===
Source: efl
Section: libs
Priority: optional
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>,
           Ross Vandegrift <ross@kallisti.us>,
           Andreas Metzler <ametzler@debian.org>
Build-Depends: debhelper (>= 10),
 pkg-config, autopoint,
 zlib1g-dev, libjpeg-dev, libpng-dev, libtiff-dev, libgif-dev, libxpm-dev,
 libfreetype6-dev, libfontconfig1-dev,
 libx11-dev, x11proto-xext-dev, , libglu1-mesa-dev, mesa-common-dev,
 libfribidi-dev,
 libgl1-mesa-dev [!armel !armhf], libgles2-mesa-dev [armel armhf],
 libpixman-1-dev, libxcb-shm0-dev, libxcb-image0-dev, libxcb1-dev,
 libxcursor-dev, libxss-dev, libxrender-dev, libxinerama-dev,
 libxrandr-dev, libxext-dev, libxcomposite-dev, libxi-dev,
 libxdamage-dev, libxtst-dev, libglib2.0-dev,
 libluajit-5.1-dev [!arm64 !s390x], liblua5.2-dev [arm64 s390x], libdbus-1-dev,
 libsndfile-dev,
 libgnutls28-dev, libcurl4-gnutls-dev,
 libudev-dev [linux-any], libmount-dev [linux-any], libblkid-dev [linux-any],
 libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libgcrypt-dev,
 libbullet-dev, libpulse-dev, liblz4-dev, libwebp-dev, libharfbuzz-dev,
 libsystemd-dev, libavahi-client-dev, systemd, libvlc-dev, libraw-dev,
 libpoppler-cpp-dev, libspectre-dev, librsvg2-dev,
 wayland-protocols, libwayland-dev, libgbm-dev, libxkbcommon-dev, libinput-dev,
 libscim-dev, libibus-1.0-dev
Build-Depends-Indep: doxygen, ghostscript, imagemagick, texlive-font-utils
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/efl
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

# EINA

Package: libeina1a
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libeina0, libeina1
Breaks: libeet1 (<= 1.4.0~beta+1.4.0), libeina1 (<= 1.18.1-2),
        libeina-bin (<= ${source:Upstream-Version}),
        libeet-bin (<= ${source:Upstream-Version}),
        libevas-bin (<= ${source:Upstream-Version}),
        libevas1-engines-drm (<= ${source:Upstream-Version}),
        libevas1-engines-x (<= ${source:Upstream-Version}),
        libevas1-engines-fb (<= ${source:Upstream-Version}),
        libecore-bin (<= ${source:Upstream-Version}),
        libefreet-bin (<= ${source:Upstream-Version}),
        libembryo-bin (<= ${source:Upstream-Version}),
        libedje-bin (<= ${source:Upstream-Version}),
        libeeze-bin (<= ${source:Upstream-Version}),
        libelua-bin (<= ${source:Upstream-Version}),
        libethumb-client-bin (<= ${source:Upstream-Version}),
        libelementary-bin (<= ${source:Upstream-Version}),
        libelementary-data (<= ${source:Upstream-Version}),
        libevas-loaders (<= ${source:Upstream-Version}),
        libemotion-players (<= ${source:Upstream-Version})
Description: Enlightenment Foundation Library providing optimized data types
 Eina is a multi-platform library that provides optimized data types and a few
 tools. It supports the following data types:
  - Array
  - Hash Table
  - Double-linked list
  - Red-black tree
  - Shared string
  - Access Content types
    + Accessor: can access items of a container randomly
    + Iterator: can access items of a container sequentially

Package: libeina-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Enlightenment Foundation Library providing optimized data types extra tools
 Eina is a multi-platform library that provides optimized data types and a few
 tools. It supports the following data types:
  - Array
  - Hash Table
  - Double-linked list
  - Red-black tree
  - Shared string
  - Access Content types
    + Accessor: can access items of a container randomly
    + Iterator: can access items of a container sequentially
 .
 This package contains some additional tools that may be useful for
 debugging eina issues.

Package: libeina-dev
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, libefl-all-dev (>= ${source:Version})
Description: transitional EFL development package
 This is a transitional dummy package to ease the migration of EFL dev
 packages to libefl-all-dev.  You can safely remove this package.

# EET

Package: libeet-dev
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, libefl-all-dev (>= ${source:Version})
Description: transitional EFL development package
 This is a transitional dummy package to ease the migration of EFL dev
 packages to libefl-all-dev.  You can safely remove this package.

Package: libeet1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: Enlightenment DR17 file chunk reading/writing library
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 It's small, fast, and does a job. It's heavily commented and fully documented.

Package: libeet-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Enlightenment DR17 file chunk reading/writing utility
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This package contains eet, an utility that allows you to extract, insert,
 encode and decode config blobs created with libeet.

Package: libelocation1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: Library providing geo information management in EFL
 Elocation is meant as a convenience library to ease application
 developers the usage of geo information in their apps. Adding a geo
 tag to a picture or translating an address to a GPS position and show
 it on a map widget are just some of the use cases.In the beginning
 elocation will rely on the GeoClue1 DBus service. Supporting the new
 GeoClue2 DBus service is planned and worked on.

Package: libephysics1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: Library providing physics functions to Evas and Edje
 EPhysics is a new library that glues in the Bullet physics engine
 into EFL to allow you to make use of an entire physics engine easily
 and simply in your creations. Edje also makes use of this allowing
 your themes to use it too.

# EVAS

Package: libevas1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libevas1-engine
Recommends: libevas-loaders,
	    libevas1-engines-drm,
	    libevas1-engines-fb,
	    libevas1-engines-wayland,
	    libevas1-engines-x
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: Enlightenment DR17 advanced canvas library
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the core library and a set of image loaders and/or savers
 for various formats: eet, gif, jpeg, png, svg, tiff and xpm

Package: libevas-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Enlightenment DR17 advanced canvas library binary tools
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the evas cserve2 utilities.

Package: libevas-dev
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, libefl-all-dev (>= ${source:Version})
Description: transitional EFL development package
 This is a transitional dummy package to ease the migration of EFL dev
 packages to libefl-all-dev.  You can safely remove this package.

Package: libevas1-engines-x
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine-software-x11, libevas1-engine-gl-x11, libevas1-engine
Description: Evas module providing the X11 engines
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the X11-related Evas engine modules:
  - GL/X11
  - Software/X11 (Xlib/XCB)

Package: libevas1-engines-fb
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines-extras, libevas1-engine-fb
Provides: libevas1-engine
Description: Evas module providing the Framebuffer engine
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the framebuffer Evas engine module.

Package: libevas1-engines-drm
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine
Description: Evas module providing the DRM engine
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the DRM-related Evas engine modules.

Package: libevas1-engines-wayland
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine
Description: Evas module providing the Wayland engine
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the Wayland-related Evas engine modules.

# ECORE

Package: libecore1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: Core abstraction layer for enlightenment DR 0.17
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.

Package: libecore-audio1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: Ecore functions for audio playback and recording
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
