## efl 1.21.1

=== debian/changelog ===
efl (1.21.1-5) unstable; urgency=medium

  * d/patches/25_fix_glinptr_redef.diff: Fix FTBFS on 32-bit arches with
    mesa >= 18.3.

 -- Ross Vandegrift <ross@kallisti.us>  Tue, 12 Feb 2019 14:43:45 -0800

efl (1.21.1-4) unstable; urgency=medium

  * d/control:
    + efl-doc should be Multi-Arch: foreign
    + libelementary1 should be Multi-Arch: same
    + libelementary-data should be Multi-Arch: foreign
    + Bump Standards-Verison to 4.3.0, no changes required
    + Refresh package descriptions from upstream info
  * d/libelementary1.symbols: add missing Build-Depends-Package field
  * libelementary-data: move icon readme to docs dir

 -- Ross Vandegrift <ross@kallisti.us>  Mon, 11 Feb 2019 19:56:43 -0800

efl (1.21.1-3) unstable; urgency=medium

  * Limit libunwind-dev b-d to the architectures where the package is
    available.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 22 Oct 2018 18:57:23 +0200

efl (1.21.1-2) unstable; urgency=medium

  * Fix FTBFS: re-tag evas_common_scale_rgba_in_to_out_clip_smooth_mmx
    symbol as arch specific for any-amd64 and any-i386.  Tag was
    accidentally dropped in d7a3e88e5e.

 -- Ross Vandegrift <ross@kallisti.us>  Thu, 18 Oct 2018 21:01:49 -0700

efl (1.21.1-1) unstable; urgency=medium

  * New upstream release.
  * d/patches:
    + 05-fix-signedness-mismatch.diff: drop, applied upstream
    + 50-fix-edje_recc-bashism.diff: drop, applied upstream
    + 20_disable_doxygen_timestamps.diff: defuzz
    + 99-fix-shader-regen.diff: add missing depend on ector .x file
    + 05_eina_strbuf_explicit_format_strings.diff: fix format string to build
      with -Werror=format-security.
    + 10_remove_google_analytics.diff: remove remote js loading from docs
  * Add new Build-Depends:
    + libxkbcommon-x11-dev is now required
    + libunwind-dev for improved backtraces
  * Bump eo symbol versions for 1.21.1 release, sort libeina1a.symbols to
    match order of dpkg-gensymbols output.
  * d/copyright: cleanup unused paragraphs
  * Ship ecore_el2_dmabuf module.

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 13 Oct 2018 12:47:34 -0700
