=== debian/rules ===
--- 
+++ 
@@ -85,6 +85,8 @@
 	rm -f debian/efl-doc/usr/share/doc/efl-doc/html/jquery.js
 	if grep -qr jquery.js debian/efl-doc/usr/share/doc/efl-doc/html/ ; \
 		then echo jquery is used ; false ; fi
+	# this is shipped under /usr/share/docs
+	rm -f debian/libelementary-data/usr/share/icons/Enlightenment-X/README
 
 override_dh_missing:
 	dh_missing --list-missing
