## efl 1.22.2

=== debian/changelog ===
efl (1.22.2-2) experimental; urgency=low

  * Fix arches in libefl-all-dev->libelua1 dependency.
    Thanks to Aurelien Jarno for the patch (Closes: #933747)

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 04 Aug 2019 09:57:25 -0700

efl (1.22.2-1) experimental; urgency=medium

  * New upstream release.

  [ Efraim Flashner ]
  * use liblua over libluajit on powerpc

  [ Ross Vandegrift ]
  * Enable salsa-ci pipeline for unstable
    + Disable piuparts though, takes too long
  * d/gbp.conf: drop cleaner to fix pipeline runs
  * d/rules:
    + support terse build
    + remove ddeb-migration after buster release
  * Remove artifacts for cserve2, upstream has removed it
  * Stop distributing eolian files.  Upstream no longer installs these by
    default to prevent developers from depending on unstable interfaces.
  * Update symbols for changes in 1.22.2 release
  * Bump all eo symbol versions for 1.22.2 release
  * d/patches:
    + 05_eina_strbuf_explicit_format_strings.diff: drop, fixed upstream
    + 25_fix_glinptr_redef.diff: drop backported upstream fix
    + 99-fix-shader-regen.diff: defuzz
  * Build with --enable-old-lua on all arches without luajit support.
    This should enable builds on alpha, ia64, hppa, m68k, riscv64, sh4,
    sparc64 and x32. (Closes: #933747)
  * Adjust libevas1 engine dependency to prefer libevas1-engines-x.
    Hopefully this will fix installation issues with EFL apps.
  * d/control:
    + bump Standards-Version, no changes required
    + Remove transitional packages after buster release.
    + Switch to my debian email
  * Distribute eina_modinfo in libeina-bin
  * Upgrade to debhelper compat 12
  * d/copyright: update

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 03 Aug 2019 15:17:29 -0700
