=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Albin Tonnerre <lutin@debian.org>,
-           Ross Vandegrift <ross@kallisti.us>,
+           Ross Vandegrift <rvandegrift@debian.org>,
            Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
  pkg-config, autopoint,
  zlib1g-dev, libjpeg-dev, libpng-dev, libtiff-dev, libgif-dev, libxpm-dev,
  libfreetype6-dev, libfontconfig1-dev,
@@ -16,7 +16,9 @@
  libxcursor-dev, libxss-dev, libxrender-dev, libxinerama-dev,
  libxrandr-dev, libxext-dev, libxcomposite-dev, libxi-dev,
  libxdamage-dev, libxtst-dev, libglib2.0-dev,
- libluajit-5.1-dev [!arm64 !s390x], liblua5.2-dev [arm64 s390x], libdbus-1-dev,
+ libluajit-5.1-dev [!alpha !arm64 !hppa !ia64 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ liblua5.2-dev [alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32],
+ libdbus-1-dev,
  libsndfile-dev,
  libgnutls28-dev, libcurl4-gnutls-dev,
  libudev-dev [linux-any], libmount-dev [linux-any], libblkid-dev [linux-any],
@@ -28,7 +30,7 @@
  libscim-dev, libibus-1.0-dev, libxkbcommon-x11-dev,
  libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4]
 Build-Depends-Indep: doxygen, ghostscript, imagemagick, texlive-font-utils
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/efl
 Homepage: https://www.enlightenment.org
@@ -45,7 +47,6 @@
 Breaks: libeet1 (<= 1.4.0~beta+1.4.0), libeina1 (<= 1.18.1-2),
         libeina-bin (<= ${source:Upstream-Version}),
         libeet-bin (<= ${source:Upstream-Version}),
-        libevas-bin (<= ${source:Upstream-Version}),
         libevas1-engines-drm (<= ${source:Upstream-Version}),
         libevas1-engines-x (<= ${source:Upstream-Version}),
         libevas1-engines-fb (<= ${source:Upstream-Version}),
@@ -88,23 +89,7 @@
  This package contains some additional tools that may be useful for
  debugging eina issues.
 
-Package: libeina-dev
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends}, libefl-all-dev (>= ${source:Version})
-Description: transitional EFL development package
- This is a transitional dummy package to ease the migration of EFL dev
- packages to libefl-all-dev.  You can safely remove this package.
-
 # EET
-
-Package: libeet-dev
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends}, libefl-all-dev (>= ${source:Version})
-Description: transitional EFL development package
- This is a transitional dummy package to ease the migration of EFL dev
- packages to libefl-all-dev.  You can safely remove this package.
 
 Package: libeet1
 Architecture: any
@@ -182,7 +167,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libevas1-engine
+ libevas1-engines-x | libevas1-engine
 Recommends: libevas-loaders,
 	    libevas1-engines-drm,
 	    libevas1-engines-fb,
@@ -206,32 +191,6 @@
  and/or savers for various formats: eet, gif, jpeg, png, svg, tiff and
  xpm
 
-Package: libevas-bin
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: EFL advanced canvas library - utilities
- Evas is a clean display canvas API for several target display systems
- that can draw anti-aliased text, smooth super- and sub-sampled scaled
- images, alpha-blend objects and more.
- .
- It abstracts the graphics drawing characteristics of the display
- system by implementing a canvas where graphical objects can be
- created, manipulated, and modified. It then handles the rendering
- pipeline in an optimal way for the underlying device in order to
- minimize redraws, via a programmatically efficient API.
- .
- This is part of the Enlightenment Foundation Libraries (EFL).
- .
- This package contains the evas cserve2 utilities.
-
-Package: libevas-dev
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends}, libefl-all-dev (>= ${source:Version})
-Description: transitional EFL development package
- This is a transitional dummy package to ease the migration of EFL dev
- packages to libefl-all-dev.  You can safely remove this package.
-
 Package: libevas1-engines-x
 Architecture: any
 Multi-Arch: same
@@ -290,3 +249,44 @@
  that can draw anti-aliased text, smooth super- and sub-sampled scaled
  images, alpha-blend objects and more.
  .
+ It abstracts the graphics drawing characteristics of the display
+ system by implementing a canvas where graphical objects can be
+ created, manipulated, and modified. It then handles the rendering
+ pipeline in an optimal way for the underlying device in order to
+ minimize redraws, via a programmatically efficient API.
+ .
+ This is part of the Enlightenment Foundation Libraries (EFL).
+ .
+ This package contains the DRM-related Evas engine modules.
+
+Package: libevas1-engines-wayland
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libeina1a (<< ${source:Upstream-Version})
+Replaces: libevas-engines, libevas-engines-extras
+Provides: libevas1-engine
+Description: Evas module providing the Wayland engine
+ Evas is a clean display canvas API for several target display systems
+ that can draw anti-aliased text, smooth super- and sub-sampled scaled
+ images, alpha-blend objects and more.
+ .
+ It abstracts the graphics drawing characteristics of the display
+ system by implementing a canvas where graphical objects can be
+ created, manipulated, and modified. It then handles the rendering
+ pipeline in an optimal way for the underlying device in order to
+ minimize redraws, via a programmatically efficient API.
+ .
+ This is part of the Enlightenment Foundation Libraries (EFL).
+ .
+ This package contains the Wayland-related Evas engine modules.
+
+# ECORE
+
+Package: libecore1
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libeina1a (<< ${source:Upstream-Version})
+Description: EFL core abstraction layer
