=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
 	arch_flags += --with-opengl=es --enable-egl
 endif
-ifneq (,$(filter $(DEB_HOST_ARCH), arm64 s390x))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32))
 	arch_flags += --enable-lua-old
 	dhinstallflags += --exclude=elua
 endif
@@ -31,13 +31,22 @@
 	docs_flag += --disable-doc
 endif
 
+ifeq (,$(findstring terse,$(DEB_BUILD_OPTIONS)))
+	silent_rules_flag += --disable-silent-rules
+else
+	# Dump doxygen stderr during a terse build.  Upstream uses a
+	# verbose doxygen config, and this is much simpler than
+	# patching terse build support into upstream config files.
+	make_doc_redirect = 2> /dev/null
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
 	--disable-rpath \
-	--disable-silent-rules \
+	$(silent_rules_flag) \
 	$(docs_flag) \
 	--with-profile=release \
 	--with-tests=none \
@@ -63,12 +72,12 @@
 		dh_auto_build --verbose
 ifeq ($(filter yes,$(LETSBUILDINDEP)),yes)
 	mkdir -p doc/html
-	$(CURDIR)/debian/fake_home.sh $(MAKE) doc
+	$(CURDIR)/debian/fake_home.sh $(MAKE) doc $(make_doc_redirect)
 endif
 
 override_dh_auto_build-indep:
 	mkdir -p doc/html
-	$(MAKE) doc
+	$(MAKE) doc $(make_doc_redirect)
 
 # The install phase doesn't work reliably in parallel
 # Force it to run with only 1 thread to avoid issues
@@ -79,7 +88,7 @@
 	dh_install $(dhinstallflags)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	dh_install -plibefl-all-dev $(dhinstallflags) \
-		debian/tmp/usr/lib/*/libecore_fb.so
+		usr/lib/*/libecore_fb.so
 endif
 	# remove unused file, fail otherwise
 	rm -f debian/efl-doc/usr/share/doc/efl-doc/html/jquery.js
@@ -88,9 +97,6 @@
 	# this is shipped under /usr/share/docs
 	rm -f debian/libelementary-data/usr/share/icons/Enlightenment-X/README
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs -Xmodule.so
 
@@ -98,9 +104,6 @@
 	dh_shlibdeps -Nlibefreet1a
 	dh_shlibdeps -plibefreet1a -- -xlibefreet-bin
 
-override_dh_strip:
-	dh_strip --ddeb-migration='efl-dbg (<< 1.8.1-2~)'
-
 override_dh_clean:
 	dh_clean
 	find -name '*.luac' -exec rm {} \;
